package edu.wpi.banmqp.shimmer;

public class SequenceNumber {
	
	private static short lastSequenceNumber;
	
	public SequenceNumber(){
		// Initialize last number to 0 so the first seq number will be 1
		lastSequenceNumber = 0;
	}
	
	/**
	 * @return atomically, a byte array containing the next sequence number
	 */
	public synchronized short next(){
		if(lastSequenceNumber == Short.MAX_VALUE){
			return (lastSequenceNumber = 0);
		}
		return ++lastSequenceNumber;

		
		
	}
	

}
