package edu.wpi.banmqp.shimmer.commands.learned;

import java.util.ArrayList;

import edu.wpi.banmqp.shimmer.sensor.ISensor;

public interface ILearnedCommand {
	
	public int getID();
	public String getName();
	public ArrayList<ParamMapping> getParams();
	public void setParams(ArrayList<ParamMapping> paramMapping);
	public ArrayList<ReturnMapping> getReturnMapping();
	public void setReturnMapping(ArrayList<ReturnMapping> r);
	public String toString(); // Implementation should return name of command
	public ISensor getSensor(); // Get the sensor associated with this command
	public ArrayList<byte[]> getParamBytes();

}
