package edu.wpi.banmqp.basestation;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.content.DialogInterface;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import edu.wpi.banmqp.shimmer.commands.learned.ILearnedCommand;

@SuppressLint("ValidFragment")
public class CommandDialogFragment extends DialogFragment {
	ILearnedCommand[] commands;
	
	public CommandDialogFragment(){
		
	}
	ArrayAdapter<ILearnedCommand> aa;
	
	public CommandDialogFragment(ILearnedCommand[] commands){
		this.commands = commands;

	}


	
	public static interface OnCompleteListener {
	    public abstract void onComplete(ILearnedCommand iLearnedCommand);
	}

	private OnCompleteListener mListener;

	// make sure the Activity implemented it
	public void onAttach(Activity activity) {
		super.onAttach(activity);
	    try {
	        this.mListener = (OnCompleteListener)activity;
	    }
	    catch (final ClassCastException e) {
	        throw new ClassCastException(activity.toString() + " must implement OnCompleteListener");
	    }
	}
	
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState){
		aa = new ArrayAdapter<ILearnedCommand>(getActivity(), android.R.layout.simple_list_item_1);
		aa.addAll(commands);
		AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
		builder.setTitle(R.string.select_command)
		.setAdapter(aa, new DialogInterface.OnClickListener() {
			@Override
			public void onClick(DialogInterface dialog, int which) {
				mListener.onComplete(aa.getItem(which));

			}
		});
		return builder.create();
	}
}


