package edu.wpi.banmqp.shimmer.sensor;

import java.util.ArrayList;

import edu.wpi.banmqp.shimmer.IShimmer;
import edu.wpi.banmqp.shimmer.commands.learned.ILearnedCommand;
import edu.wpi.banmqp.shimmer.data.ValueMapping;

public interface ISensor {
	
	@Override
	public String toString(); // Implementation should return sensor name
	public ArrayList<ValueMapping> getValueMappings();
	public void setValueMappings(ArrayList<ValueMapping> vm);
	public int getID();
	public ArrayList<ILearnedCommand> getLearnedCommands();
	public void setLearnedCommands(ArrayList<ILearnedCommand> learnedCommands);
	public ILearnedCommand getCommandById(int id);
	public IShimmer getMote();
	

}
