package edu.wpi.banmqp.util;

import java.util.LinkedList;
import java.util.Queue;

import android.graphics.Color;

public class ColorQueue{
	private Queue<Integer> colors;
	
	public ColorQueue(){
		colors = new LinkedList<Integer>();
		colors.add(Color.argb(64, 0, 0, 255));
		colors.add(Color.argb(64, 0, 255, 0));
		colors.add(Color.argb(64, 255, 0, 0));
		colors.add(Color.argb(64, 0, 255, 255));
		colors.add(Color.argb(64, 255, 0, 255));
	}
	
	public int nextColor(){
		if(colors.peek() == null){
			colors.add(Color.argb(64, 0, 0, 255));
			colors.add(Color.argb(64, 0, 255, 0));
			colors.add(Color.argb(64, 255, 0, 0));
			colors.add(Color.argb(64, 0, 255, 255));
			colors.add(Color.argb(64, 255, 0, 255));
		}
		return colors.poll();
	}

}
